ChangeSet 1.1274, 2003/06/04 17:37:31-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in arch/alpha/kernel/sys_sio.c


 arch/alpha/kernel/sys_sio.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/alpha/kernel/sys_sio.c b/arch/alpha/kernel/sys_sio.c
--- a/arch/alpha/kernel/sys_sio.c	Wed Jun  4 18:08:34 2003
+++ b/arch/alpha/kernel/sys_sio.c	Wed Jun  4 18:08:34 2003
@@ -85,10 +85,10 @@
 sio_collect_irq_levels(void)
 {
 	unsigned int level_bits = 0;
-	struct pci_dev *dev;
+	struct pci_dev *dev = NULL;
 
 	/* Iterate through the devices, collecting IRQ levels.  */
-	pci_for_each_dev(dev) {
+	while ((dev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, dev)) != NULL) {
 		if ((dev->class >> 16 == PCI_BASE_CLASS_BRIDGE) &&
 		    (dev->class >> 8 != PCI_CLASS_BRIDGE_PCMCIA))
 			continue;
